use dotenvy::dotenv;
use miniweb::auth::models::{NewUser, User};
use sea_orm::{DatabaseConnection, Database, DbConn};
use std::env;
use std::io::stdin;

pub async fn establish_connection() -> DatabaseConnection {
    dotenv().ok();
    let database_url = env::var("DATABASE_URL").expect("DATABASE_URL must be set");
    let db = Database::connect(&database_url).await;
    db.unwrap_or_else(|_| panic!("Error connecting to {}", database_url))
}

pub fn create_user(conn: &DbConn, username: &str) -> User {
    /*
    diesel::insert_into(users::table)
        .values(&new_user)
        .returning(User::as_returning())
        .get_result(conn)
        .expect("Error saving new user")
         */
}


#[tokio::main]
async fn main() {
    let connection = establish_connection().await;

    let mut username = String::new();

    println!("Enter username for new user:");
    stdin().read_line(&mut username).unwrap();
    let username = username.trim_end(); // Remove the trailing newline

    let user = create_user(&connection, username);
    println!("\nSaved user {} with id {}", username, user.id);
}
